function[vzdalenost]=euklid(signal,centroid)

% funkce pro vypocet euklidovske vzdalenosti mezi objekty a centroidy 
        
        for l=1:size (signal,1)
      
             for i=1:size (centroid,2)
                pom=signal(l,:) - centroid(i,:);
                pom=pom.^2;
                pom=sum (pom);
                 pom=sqrt(pom);
                vzdalenost(l,i)=pom;
             end
        end
end

